import { OnInit } from '@angular/core';
import { Observable, BehaviorSubject, ReplaySubject } from 'rxjs';
import { Addon } from '@vendasta/core/marketplace-packages';
import { SalesPackage, SalesProduct, PackageItemActivationStatus } from './sales-package';
import { Product, ProductWithParent } from '../shared/product';
import { Package } from '../package-details/package';
import { ListIndent } from './package-dropdown-item/package-dropdown-item.component';
interface OrderLengthsForToggling {
    packages: number;
    products: number;
}
export declare class VaPackageDropdownComponent implements OnInit {
    set packages(packages: Package[]);
    set products(products: Product[]);
    set standAloneProducts(standAloneProducts: Product[]);
    set statuses(statuses: PackageItemActivationStatus[]);
    set addons(addons: Addon[]);
    singularDropdown: boolean;
    hidePricing: boolean;
    packageProductIndent: ListIndent;
    packageAddonWithoutProductIndent: ListIndent;
    packageAddonWithProductIndent: ListIndent;
    productAddonIndent: ListIndent;
    packages$$: ReplaySubject<Package[]>;
    products$$: ReplaySubject<Product[]>;
    standAloneProducts$$: ReplaySubject<(Product | ProductWithParent)[]>;
    statuses$$: BehaviorSubject<PackageItemActivationStatus[]>;
    addons$$: ReplaySubject<Addon[]>;
    orderItemLengths$$: BehaviorSubject<OrderLengthsForToggling>;
    templateData$: Observable<{
        packages: SalesPackage[];
        products: SalesProduct[];
    }>;
    salesPackages$: Observable<SalesPackage[]>;
    salesProducts$: Observable<SalesProduct[]>;
    packageToggles: boolean[];
    productToggles: boolean[];
    ngOnInit(): void;
    openAllDropdowns(): void;
    togglePackage(indexToToggle: number): void;
    toggleProduct(indexToToggle: number): void;
    standAloneProductDescription(product: SalesProduct): string;
    standAloneProductWithParentDescription(product: SalesProduct): string;
    packageDescription(pkg: SalesPackage): string;
}
export {};
